Subject: Re: removing get_immrbase()??

From: Timur Tabi <[email-masked]>
Date: Thu, 23 Apr 2009 08:07:24 -0500

Kumar Gala wrote:

> Until we meet the most basic level of properly describing 95% of the  
> HW I don't see the value you guys prescribe to FW compatibility.   
> Additionally I believe for embedded developers its perfectly  
> reasonable to expect them (if they are using u-boot) to possibly have  
> to update their .dts/dtb if they want to update their kernel.

That sounds like you want to throw out the baby with the bathwater.
Just because we can't get close to 100% representation of the hardware
in the DTS, that does not mean that the representation we do have should
be considered tenuous (for lack of a better word).

We should *strive* to maintain backwards compatibility.  If that means
adding a few lines of isolated code every now and then, I don't see that
as a bad thing at all.

-- 
Timur Tabi
Linux kernel developer at Freescale